Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::InformationRenderer Class Reference

インフォメーションレンダラ More...

`#include <InformationRenderer.h>`

List of all members.

## Public Member Functions
| InformationRenderer ()
| コンストラクタ
virtual | ~InformationRenderer ()
| デストラクタ
virtual void | renderingSetup (Scene *scene)
| レンダリング準備を行う
virtual void | rendering ()
| レンダリングを行う
virtual void | setDrawnGrid (bool isDrawnGrid)
| グリッドの描画フラグ設定
virtual bool | isDrawnGrid () const
| グリッドを描画するか
virtual void | setDrawnAxis (bool isDrawnAxis)
| 軸の描画フラグ設定
virtual bool | isDrawnAxis () const
| 軸を描画するか
virtual void | setDrawnMeshBounding (bool isDrawnMeshBounding)
| メッシュバウンディングの描画フラグ設定
virtual bool | isDrawnMeshBounding () const
| メッシュバウンディングを描画するか
virtual void | setDrawnBone (bool isDrawnBone)
| ボーンの描画フラグ設定
virtual bool | isDrawnBone () const
| ボーンを描画するか
## Protected Member Functions
virtual void | setupGrid ()
| グリッドのセットアップ
virtual void | setupAxis ()
| 軸のセットアップ
virtual void | setupMeshBounding ()
| メッシュバウンディングのセットアップ
virtual void | setupBone ()
| ボーンのセットアップ
## Protected Attributes
PrimitiveRenderer * | renderer_
| プリミティブレンダラ
Scene * | scene_
| シーン
Camera * | camera_
| カメラ
ArrayList< Mesh * > | meshList_
| メッシュリスト
bool | isDrawnGrid_
| グリッドを描画するか
bool | isDrawnAxis_
| 軸を描画するか
bool | isDrawnMeshBounding_
| メッシュバウンディングを描画するか
bool | isDrawnBone_
| ボーンを描画するか
## Static Protected Attributes
const Color4c | meshBoundingColor_ = Color4c(0, 255, 0, 64)
| メッシュバウンディングカラー
const Color4c | boneColor_ = Color4c(0, 255, 255, 255)
| ボーンカラー

## Detailed Description

インフォメーションレンダラ

Definition at line 41 of file InformationRenderer.h.

## Member Function Documentation

virtual bool Lamp::InformationRenderer::isDrawnAxis | ( |  | ) | const`[inline, virtual]`

| 軸を描画するか Returns: 軸を描画するならtrue Definition at line 96 of file InformationRenderer.h. References isDrawnAxis_. Referenced by renderingSetup().

virtual bool Lamp::InformationRenderer::isDrawnBone | ( |  | ) | const`[inline, virtual]`

| ボーンを描画するか Returns: ボーンを描画するならtrue Definition at line 124 of file InformationRenderer.h. References isDrawnBone_. Referenced by renderingSetup().

virtual bool Lamp::InformationRenderer::isDrawnGrid | ( |  | ) | const`[inline, virtual]`

| グリッドを描画するか Returns: グリッドを描画するならtrue Definition at line 83 of file InformationRenderer.h. References isDrawnGrid_. Referenced by renderingSetup().

virtual bool Lamp::InformationRenderer::isDrawnMeshBounding | ( |  | ) | const`[inline, virtual]`

| メッシュバウンディングを描画するか Returns: メッシュバウンディングを描画するならtrue Definition at line 111 of file InformationRenderer.h. References isDrawnMeshBounding_. Referenced by renderingSetup().

void Lamp::InformationRenderer::renderingSetup | ( | Scene * | scene | ) | `[virtual]`

  | レンダリング準備を行う Parameters:
  scene | レンダリングを行うシーン
Definition at line 59 of file InformationRenderer.cpp. References Assert, camera_, Lamp::ArrayList< Mesh * >::clear(), Lamp::Scene::getCurrentCamera(), Lamp::Scene::getMeshList(), isDrawnAxis(), isDrawnBone(), isDrawnGrid(), isDrawnMeshBounding(), meshList_, NULL, scene_, setupAxis(), setupBone(), setupGrid(), and setupMeshBounding(). Referenced by Lamp::SceneFramework::frameworkRenderSetup().

virtual void Lamp::InformationRenderer::setDrawnAxis | ( | bool | isDrawnAxis | ) | `[inline, virtual]`

  | 軸の描画フラグ設定 Parameters:
  isDrawnAxis | 軸を描画するならtrue
Definition at line 90 of file InformationRenderer.h. References isDrawnAxis_.

virtual void Lamp::InformationRenderer::setDrawnBone | ( | bool | isDrawnBone | ) | `[inline, virtual]`

  | ボーンの描画フラグ設定 Parameters:
  isDrawnBone | ボーンを描画するならtrue
Definition at line 118 of file InformationRenderer.h. References isDrawnBone_.

virtual void Lamp::InformationRenderer::setDrawnGrid | ( | bool | isDrawnGrid | ) | `[inline, virtual]`

  | グリッドの描画フラグ設定 Parameters:
  isDrawnGrid | グリッドを描画するならtrue
Definition at line 77 of file InformationRenderer.h. References isDrawnGrid_.

virtual void Lamp::InformationRenderer::setDrawnMeshBounding | ( | bool | isDrawnMeshBounding | ) | `[inline, virtual]`

  | メッシュバウンディングの描画フラグ設定 Parameters:
  isDrawnMeshBounding | メッシュバウンディングを描画するならtrue
Definition at line 103 of file InformationRenderer.h. References isDrawnMeshBounding_.

void Lamp::InformationRenderer::setupBone | ( |  | ) | `[protected, virtual]`

| ボーンのセットアップ キャラクタモデルリスト Definition at line 111 of file InformationRenderer.cpp. References Lamp::ArrayList< Type >::add(), boneColor_, Lamp::ArrayList< Type >::getCount(), Lamp::ArrayList< Mesh * >::getCount(), Lamp::SceneLeaf::getParent(), Lamp::SceneNode::getWorldMatrix(), meshList_, NULL, renderer_, and Lamp::PrimitiveRenderer::request(). Referenced by renderingSetup().

The documentation for this class was generated from the following files:

- InformationRenderer.h
- InformationRenderer.cpp